<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 * ユーザー出品情報 - 完了処理
 *
 * @package     [[package名]]
 * @author      T.Shimano
 * @access      public
 */
class Admin_Usermanage_Itemexhibit_Complete
{
	// ページ情報
	var $pagename;
	var $title;

    // 入力パラメータ
    var $cd;
    
    // DB
    var $itemexhibit;
    
    function execute()
    {
        // コード展開 & DBへの要求リスト作成
        if( is_array($this->cd) )
        {
            $params = array();

            //cd = itemcd|structcd|stockcd|updcnt
            $cnt = 0;
            foreach( $this->cd as $key=>$val)
            {
	            $cnt++;
	            if( preg_match("/^([0-9]+)\|([0-9]+)\|([0-9]+)\|([0-9]+)\|([0-9]+)$/", $val, $match) )
	            {
                    $params[] = array(
                    "itemcd"   => $match[1],
                    "structcd" => $match[2],
                    "stockcd"  => $match[3],
                    "sellercd"  => $match[4],
                    "updcnt"   => $match[5]
                    );
                } else {
	                $this->errormsg = "無効なコードが指定されました";
	                return "input";
                }
            }
        } else {
	        $this->errormsg = "コードが指定されていません";
	        return "input";
        }

        // 削除
        foreach ( $params as $key=>$val ) {
            $this->itemexhibit->delete($val["itemcd"],
                                       $val["structcd"],
                                       $val["stockcd"],
                                       $val["sellercd"],
                                       "",
                                       $val["updcnt"]);
            // 出品者在庫をゼロにした後、基本情報の削除フラグを立てる
            // 2009/05/28 ネトニー五十嵐
            $this->itemexhibit->delete_item_basic_attr($val["itemcd"]);
        }
                    
        // ログ出力
        $log =& LogFactory::getLog();
        $log->debug("Admin_Usermanage_Itemexhibit_Completeが実行されました", "Admin_Usermanage_Itemexhibit_Compelete#execute");
        return 'success';
    }
}
?>